### Class

# CM VerificationEvent

#### Description

    final class CM.VerificationEvent : CM.Event
    {
      /* No available fields */
    }

No description available.

#### Hierarchy

#### Ancestors

- CmEvent
- GObject

#### Instance methods

###### cm_verification_event_cancel_async

No description available.

###### cm_verification_event_cancel_finish

No description available.

###### cm_verification_event_continue_async

No description available.

###### cm_verification_event_continue_finish

No description available.

###### cm_verification_event_match_async

No description available.

###### cm_verification_event_match_finish

No description available.

##### Methods inherited from CmEvent (6)

###### cm_event_get_id

No description available.

###### cm_event_get_m_type

Get the Matrix type of an event.

###### cm_event_get_sender

Get the sender of the event.

###### cm_event_get_state

No description available.

###### cm_event_get_time_stamp

Get the event time stamp in milliseconds.

###### cm_event_is_encrypted

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from CmEvent (1)

###### CmEvent::updated

Emitted when the state of the event changed. See `CmEventState` and `cm_event_get_state()`.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct CMVerificationEventClass {
      CmEventClass parent_class;

    }

No description available.

###### Class members

`parent_class: CmEventClass`

  No description available.